'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var commons = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  return {
    entry: {
      lucio: commons
    },
    output: {
      path: (0, _path.resolve)('./node_modules/lucio.dll/'),
      filename: '[name].dll.js',
      library: '[name]'
    },
    plugins: [new _webpack2.default.DllPlugin({
      path: (0, _path.resolve)('./node_modules/lucio.dll/', 'manifest.json'),
      name: '[name]'
    })]
  };
};

module.exports = exports['default'];