import React from 'react';
import PropTypes from 'prop-types';
import { Router, Route, IndexRoute } from 'dva/router';
import Container from './container';
import Demo from './routes/demo/components';
// dva路由
const routerDva = ({history, app}) => {
  return (
    <Router history={history} >
      <Route path="/" component={Container}>
        <IndexRoute component={Demo} />
      </Route>
    </Router>
  );
};

routerDva.propTypes = {
  history: PropTypes.object,
  app: PropTypes.object,
};

export default routerDva;