import { resolve } from 'path';
import webpack from 'webpack';

export default (commons = []) => ({
  entry: {
    lucio: commons
  },
  output: {
    path: resolve('./node_modules/lucio.dll/'),
    filename: '[name].dll.js',
    library: '[name]'
  },
  plugins: [
    new webpack.DllPlugin({
      path: resolve('./node_modules/lucio.dll/', 'manifest.json'),
      name: '[name]',
    }),
  ]
});