
module.exports = {
  commons: ['react', 'react-dom', 'dva'],
  prefix: '/api',
  commonBabelPlugins: [
    "transform-runtime",
    "dva-hmr",
    ["import-demand", [
        {"libName": "antd", "cssPath": "style/css", "spell": true},
        {"libName": "antui-admin", "libPath": "lib/components", "cssPath": "style/css"}
      ]
    ]
  ],
  devBabelPlugins: ['dva-hmr'],
  proxy: {
    "/api": {
      target: "http://172.17.186.244:8105/",
      changeOrigin: true,
      pathRewrite: { "^/api" : "" }
    },
  },
};